<?php
/**
 * VibeForms Functions
 *
 * @author 		VibeThemes
 * @category 	Init
 * @package 	vibeforms/Includes
 * @version     1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function vibe_forms_get_script_data(){
	$blog_id = '';
	if(function_exists('get_current_blog_id')){
		$blog_id = get_current_blog_id();
	}
	return apply_filters('vibeforms_script_args',array(
		'label'=>__('Forms','vibeforms'),
		'api'=>array(
			'url'=>get_rest_url($blog_id,VIBEFORMS_API_NAMESPACE),
		),
		'settings'=>array(
			'new_article_cap'=>'subscriber',
		),
		'orderby'=>array(
			'date'=>__('Recent','vibeforms'),
			'title'=>__('Alphabetical','vibeforms'),
			'modified'=>__('Last Updated','vibeforms'),
			'comment_count'=>__('Submissions','vibeforms'),
		),
		'upload_types' => array(
			array('value'=> 'JPG','label' =>'JPG'),
			array('value'=> 'GIF','label' =>'GIF'),
			array('value'=> 'PNG','label' =>'PNG'),
			array('value'=> 'PDF','label' =>'PDF'),
			array('value'=>'PSD','label'=>'PSD'),
			array('value'=> 'DOC','label' =>'DOC'),
			array('value'=> 'DOCX','label' => 'DOCX'),
			array('value'=> 'PPT','label' =>'PPT'),
			array('value'=> 'PPTX','label' => 'PPTX'),
			array('value'=> 'PPS','label' =>'PPS'),
			array('value'=> 'PPSX','label' => 'PPSX'),
			array('value'=> 'ODT','label' =>'ODT'),
			array('value'=> 'XLS','label' =>'XLS'),
			array('value'=> 'XLSX','label' => 'XLSX'),
			array('value'=> 'MP3','label' =>'MP3'),
			array('value'=> 'M4A','label' =>'M4A'),
			array('value'=> 'OGG','label' =>'OGG'),
			array('value'=> 'WAV','label' =>'WAV'),
			array('value'=> 'WMA','label' =>'WMA'),
			array('value'=> 'MP4','label' =>'MP4'),
			array('value'=> 'M4V','label' =>'M4V'),
			array('value'=> 'MOV','label' =>'MOV'),
			array('value'=> 'WMV','label' =>'WMV'),
			array('value'=> 'AVI','label' =>'AVI'),
			array('value'=> 'MPG','label' =>'MPG'),
			array('value'=> 'OGV','label' =>'OGV'),
			array('value'=> '3GP','label' =>'3GP'),
			array('value'=> '3G2','label' =>'3G2'),
			array('value'=> 'FLV','label' =>'FLV'),
			array('value'=> 'WEBM','label' =>'WEBM'),
			array('value'=> 'APK','label' =>'APK '),
			array('value'=> 'RAR','label' =>'RAR'),
			array('value'=> 'ZIP','label' =>'ZIP'),
		) ,
		'types'=>array(
			array(
				'type'=>'classic',
				'img'=>'<svg viewBox="0 0 121 125" class="jfWizard-list-item-icon-svg" width="187" height="204"><g fill="none" fill-rule="evenodd"><path d="M4.417 0h112a4 4 0 014 4v121h-120V4a4 4 0 014-4z" fill="#FFF" fill-rule="nonzero"></path><g transform="translate(10.417 13)"><path d="M17.001 31.122h79.14a2.858 2.858 0 010 5.716h-79.14a2.858 2.858 0 110-5.716z" fill="#DAE2ED" fill-rule="nonzero"></path><rect fill="#DAE2ED" fill-rule="nonzero" y="20.324" width="74.571" height="5.716" rx="2.858"></rect><rect fill="#DAE2ED" fill-rule="nonzero" width="99" height="8.257" rx="3"></rect><path d="M17.001 41.284h79.14a2.858 2.858 0 010 5.716h-79.14a2.858 2.858 0 110-5.716z" fill="#DAE2ED" fill-rule="nonzero"></path><g transform="translate(0 30.486)"><rect fill="#2F90FF" fill-rule="nonzero" width="6.429" height="6.351" rx="2"></rect><path d="M2.734 4.765a.33.33 0 01-.238-.103L1.304 3.424a.36.36 0 010-.495.328.328 0 01.477 0l.953.99L4.878 1.69a.328.328 0 01.477 0 .36.36 0 010 .496L2.972 4.662a.33.33 0 01-.238.103" fill="#FFF"></path></g><rect fill="#DAE2ED" fill-rule="nonzero" y="40.649" width="6.429" height="6.351" rx="2"></rect></g><g transform="translate(10.417 72)"><path d="M17.036 10.929h79.071a2.893 2.893 0 010 5.785H17.036a2.893 2.893 0 110-5.785zM2.893 0h68.786a2.893 2.893 0 110 5.786H2.893a2.893 2.893 0 010-5.786zm14.143 21.214h79.071a2.893 2.893 0 010 5.786H17.036a2.893 2.893 0 110-5.786z" fill="#DAE2ED" fill-rule="nonzero"></path><g transform="translate(0 10.286)"><rect fill="#2F90FF" fill-rule="nonzero" width="6.429" height="6.429" rx="2"></rect><path d="M2.734 4.823a.327.327 0 01-.238-.104L1.304 3.465a.367.367 0 010-.5.325.325 0 01.477 0l.953 1.002L4.878 1.71a.325.325 0 01.477 0 .367.367 0 010 .501L2.972 4.72a.328.328 0 01-.238.104" fill="#FFF"></path></g><rect fill="#DAE2ED" fill-rule="nonzero" y="20.571" width="6.429" height="6.429" rx="2"></rect><g transform="translate(0 20.571)"><rect fill="#2F90FF" fill-rule="nonzero" width="6.429" height="6.429" rx="2"></rect><path d="M2.734 4.823a.327.327 0 01-.238-.104L1.304 3.465a.367.367 0 010-.5.325.325 0 01.477 0l.953 1.002L4.878 1.71a.325.325 0 01.477 0 .367.367 0 010 .501L2.972 4.72a.328.328 0 01-.238.104" fill="#FFF"></path></g></g><rect fill="#2F90FF" fill-rule="nonzero" x="77.417" y="109" width="32" height="10" rx="4"></rect></g></svg>',
				'label' => _x('Classic Form','','vibeforms'),
				'description'=> _x('Show all options in one page','','vibeforms'),
			),
			array(
				'type'=>'card',
				'img'=>'<svg viewBox="0 0 121 92" class="jfWizard-list-item-icon-svg" width="166" height="146"><g fill="none" fill-rule="evenodd"><rect fill="#FFF" fill-rule="nonzero" x="7.934" width="105.131" height="62.153" rx="4"></rect><path d="M7.934 49.59h105.132v9.224a4 4 0 01-4 4H11.934a4 4 0 01-4-4V49.59z" fill="#2A5ACA" fill-rule="nonzero"></path><g transform="translate(15.208 11.24)"><rect fill="#DAE2ED" fill-rule="nonzero" x="10.579" y="11.24" width="80.667" height="5.951" rx="2.975"></rect><rect fill="#DAE2ED" fill-rule="nonzero" width="50.913" height="5.951" rx="2.975"></rect><path d="M13.555 21.82H88.27a2.975 2.975 0 010 5.95H13.555a2.975 2.975 0 010-5.95z" fill="#DAE2ED" fill-rule="nonzero"></path><g transform="translate(0 10.58)"><rect fill="#2F90FF" fill-rule="nonzero" width="6.612" height="6.612" rx="2"></rect><path d="M2.812 4.96a.337.337 0 01-.245-.107L1.34 3.564a.378.378 0 010-.515.334.334 0 01.49 0l.98 1.031 2.206-2.32a.334.334 0 01.49 0 .378.378 0 010 .515l-2.45 2.578a.337.337 0 01-.245.107" fill="#FFF"></path></g><rect fill="#DAE2ED" fill-rule="nonzero" y="21.158" width="6.612" height="6.612" rx="2"></rect></g><rect fill="#FFF" fill-rule="nonzero" width="121" height="62.153" rx="4"></rect><path d="M0 49.59h121v9.224a4 4 0 01-4 4H4a4 4 0 01-4-4V49.59z" fill="#51DCA9" fill-rule="nonzero"></path><g transform="translate(9.257 11.24)"><path d="M14.877 11.24H98.85a2.975 2.975 0 010 5.951H14.877a2.975 2.975 0 110-5.95zM2.975 0h50.913a2.975 2.975 0 110 5.95H2.975a2.975 2.975 0 110-5.95zm11.902 21.82H98.85a2.975 2.975 0 010 5.95H14.877a2.975 2.975 0 110-5.95z" fill="#DAE2ED" fill-rule="nonzero"></path><g transform="translate(0 10.58)"><rect fill="#2F90FF" fill-rule="nonzero" width="6.612" height="6.612" rx="2"></rect><path d="M2.812 4.96a.337.337 0 01-.245-.107L1.34 3.564a.378.378 0 010-.515.334.334 0 01.49 0l.98 1.031 2.206-2.32a.334.334 0 01.49 0 .378.378 0 010 .515l-2.45 2.578a.337.337 0 01-.245.107" fill="#FFF"></path></g><rect fill="#DAE2ED" fill-rule="nonzero" y="21.158" width="6.612" height="6.612" rx="2"></rect></g><path stroke="#319BF3" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" d="M8.596 86.646h104.47"></path><circle stroke="#319BF3" stroke-width="1.5" fill="#51DCA9" fill-rule="nonzero" cx="60.831" cy="86.646" r="3.967"></circle><circle fill="#319BF3" fill-rule="nonzero" cx="9.918" cy="86.646" r="3.967"></circle><circle fill="#319BF3" fill-rule="nonzero" cx="111.743" cy="86.646" r="3.967"></circle></g></svg>',
				'label' => _x('Card Form','','vibeforms'),
				'description'=> _x('Show options in different pages','','vibeforms'),
			)
		),
		'fields'=>array(
			
			array(
				'label'=>__('Heading','vibeforms'),
				'icon'=>'vicon vicon-uppercase',
				'type'=>'heading',
			),
			array(
				'label'=>__('Text Field','vibeforms'),
				'icon'=>'vicon vicon-text',
				'type'=>'text',
				'validations'=>array(
					array(
						'label'=>__('Email','vibeforms'),
						'type'=>'email_regex'
					),
					array(
						'label'=>__('Phone','vibeforms'),
						'type'=>'phone_regex'
					),
				)
			),
			array(
				'label'=>__('Number Field','vibeforms'),
				'icon'=>'vicon vicon-ruler',
				'type'=>'number',
				'validations'=>array(
					array(
						'label'=>__('Minimum','vibeforms'),
						'type'=>'min',
					),
					array(
						'label'=>__('Maximum','vibeforms'),
						'type'=>'max',
					),
				)
			),
			array(
				'label'=>__('Long Text','vibeforms'),
				'icon'=>'vicon vicon-paragraph',
				'type'=>'textarea',
				'validations'=>array(
					array(
						'label'=>__('Min Word Count','vibeforms'),
						'type'=>'min_word_count',
					),
					array(
						'label'=>__('Max Word Count','vibeforms'),
						'type'=>'max_word_count',
					),
				)
			),
			array(
				'label'=>__('Dropdown','vibeforms'),
				'icon'=>'vicon vicon-layout-media-center',
				'type'=>'select',
			),
			array(
				'label'=>__('Multi Select','vibeforms'),
				'icon'=>'vicon vicon-layout-media-center',
				'type'=>'multiselect',
			),
			array(
				'label'=>__('Single Choice','vibeforms'),
				'icon'=>'vicon vicon-check',
				'type'=>'radio',
			),
			array(
				'label'=>__('Multiple Choice','vibeforms'),
				'icon'=>'vicon vicon-check-box',
				'type'=>'checkbox',
			),
			array(
				'label'=>__('Date','vibeforms'),
				'icon'=>'vicon vicon-calendar',
				'type'=>'date',
			),
			array(
				'label'=>__('Time','vibeforms'),
				'icon'=>'vicon vicon-timer',
				'type'=>'time',
			),
			array(
				'label'=>__('Upload','vibeforms'),
				'icon'=>'vicon vicon-upload',
				'type'=>'upload',
			),
		),
		'patterns'=>array(
			'email_regex' => '(?:[a-z0-9!#$%&\'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&\'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])',
			'phone_regex' =>  '^[+]*[(]{0,1}[0-9]{1,4}[)]{0,1}[-\s\./0-9]*$'
		),
		'translations'=>array(
			'select_form'=>_x('Select form','','vibeforms'),
			'file_type_not_allowed'=>_x('File type not allowed','','vibeforms'),
			'file_size_exceeded'=>_x('File size Exceeded','','vibeforms'),
			'upload_file'=>_x('Upload file','','vibeforms'),
			'allowed_size' => _x('Allowed size','','vibeforms'),
			'allowed_types' => _x('Allowed types','','vibeforms'),
			'create_form' => __('Create Form','vibeforms'),
			'no_forms'=> __('No Forms','vibeforms'),
			'search_text'=>__('Search Forms','vibeforms'),
			'form_title'=>__('Form Title','vibeforms'),
			'field_title'=>__('Field Title','vibeforms'),
			'field_subtitle'=>__('Field SubTitle','vibeforms'),
			'field_placeholder'=>__('Field Placeholder','vibeforms'),
			'enter_label'=>__('Enter label','vibeforms'),
			'enter_value'=>__('Enter value','vibeforms'),
			'required'=>__('Required','vibeforms'),
			'edit_form'=>__('Edit Form','vibeforms'),
			'save_form'=>__('Save Form','vibeforms'),
			'preview_form'=>__('Preview Form','vibeforms'),
			'minimum'=>__('Minimum','vibeforms'),
			'maximum'=>__('Maximum','vibeforms'),
			'add_option'=>__('Add Choice','vibeforms'),
			'select_option'=>__('Select Option','vibeforms'),
			'close' => __('Close','vibeforms'),
			'show_label'=> __('Show Label','vibeforms'),
			'show_placeholder'=> __('Show Placehoder','vibeforms'),
			'submit'=> __('Submit','vibeforms'),
			'none'=> __('None','vibeforms'),
			'no_submission'=>__('No Submissions Found','vibeforms'),
			'submittedby'=>__('Submitted By','vibeforms'),
			'view'=>__('View','vibeforms'),
			'no_title' => __('No Title','vibeforms'),
			'title' => __('Title','vibeforms'),
			'value' => __('Value','vibeforms'),
			'load_more' => __('Load More','vibeforms'),
			'article_category' => __('Article Category','vibeforms'),
			'assigned_form_type' => __('Assigned Form Category','vibeforms'),
			'assign_form_type' => __('Assign Form Category','vibeforms'),
			'no_users_found' => __('No users found','vibeforms'),
			'no_types_found' =>__('No types found','vibeforms'),
			'no_result_found' =>__('No results found','vibeforms'),
			'search' =>__('Search','vibeforms'),
			'search_users' =>__('Search Users','vibeforms'),
			'share_with_members'=>__('Share with Members','vibeforms'),
			'form_type'=>__('Select form type','vibeforms'),
			'select_validation_option'=>__('Select validation option','vibeforms'),
			'default'=>__('Default Value','vibeforms'),
			'set_default'=>__('Set Default','vibeforms'),
			'value_not_less'=>__('Value should not be less than','vibeforms'),
			'value_not_more'=>__('Value should not be more than','vibeforms'),
			'value_length_not_less'=>__('Value length should not be less than','vibeforms'),
			'value_length_not_more'=>__('Value length should not be more than','vibeforms'),
			'phone_not_matched'=>__('Phone No. validation failed','vibeforms'),
			'email_not_matched'=>__('Email validation failed','vibeforms'),
			'field_required'=>__('Field Required','vibeforms'),
			'newer'=>__('Newer','vibeforms'),
			'older'=>__('Older','vibeforms'),
			'submiited_by'=>__('Submitted By','vibeforms'),
			'share_with_users'=>__('Share with users','vibeforms'),
			'share_with_groups'=>__('Share with groups','vibeforms'),
			'share_with_all_users'=>__('Share with all users','vibeforms'),
			'shared_with_me'=>__('Shared with me','vibeforms'),
			'shared_in_mygroups'=>__('Shared in my groups','vibeforms'),
			'shared_with_all_users'=>__('Shared with all users','vibeforms'),
			'download_as_csv'=>__('Download as csv','vibeforms'),
			'like'=>__('like','vibeforms'),
			'field'=>__('Field','vibeforms'),
			'type'=>__('Type','vibeforms'),
			'clear_filter'=>__('Clear Filter','vibeforms'),
			'time_form_can_be_submitted'=>__('How many times form can be submitted','vibeforms'),
			'form_description' => __('Form description','vibeforms'),
			'embed'=> __('Enable Embed','vibeforms'),
			'login_first' => __('You need to login first!','vibeforms')
		)
	));
}

function vibe_forms_add_notification($args =''){
    if ( ! bp_is_active( 'notifications' ) || !function_exists('bp_notifications_add_notification')) 
        return;
    global $bp;
    $defaults = array(
        'user_id' => $bp->loggedin_user->id,
        'item_id' => false,
        'secondary_item_id' => false,
        'component_name' => VIBE_FORMS_SLUG,
        'component_action'  => '',
        'date_notified'     => bp_core_current_time(),
        'is_new'            => 1,
    );

    $r = wp_parse_args( $args, $defaults );
    extract( $r );

    return  bp_notifications_add_notification( array(
        'user_id'           => $user_id,
        'item_id'           => $item_id,
        'secondary_item_id' => $secondary_item_id,
        'component_name'    => $component_name,
        'component_action'  => $component_action,
        'date_notified'     => $date_notified,
        'is_new'            => $is_new,
    ) );
    
}
// get post_ids
function vibeforms_get_user_shared_forms($user_id,$share_type='user'){
	$post = array();
	global $wpdb;
	if($share_type=='user'){
    	$ps = $wpdb->get_results("SELECT pm1.post_id as post_id FROM {$wpdb->postmeta} as pm1 left join {$wpdb->postmeta} as pm2  ON pm1.post_id=pm2.post_id WHERE pm1.meta_key='vibeform_shared' AND pm1.meta_value = {$user_id} AND pm2.meta_key='vibeform_shared_type' AND pm2.meta_value = 'user'");
		if(!empty($ps)){
			foreach($ps as $u){
				$posts[]=$u->post_id;
			}
		}
	}elseif($share_type=='group'){
		global $bp;
		$mygroups = $wpdb->get_results($wpdb->prepare("
			SELECT group_id as id
			FROM {$bp->groups->table_name_members} 
			WHERE user_id = %d",
			$user_id),ARRAY_A);
		if(!empty($mygroups) && is_array($mygroups)){
			foreach ($mygroups as $value) {$nmygroups[] = $value['id'];}
		}else{ $nmygroups[] = 19999999; }
		$ps = $wpdb->get_results("SELECT pm1.post_id as post_id FROM {$wpdb->postmeta} as pm1 left join {$wpdb->postmeta} as pm2  ON pm1.post_id=pm2.post_id WHERE pm1.meta_key='vibeform_shared' AND pm1.meta_value  IN "."(".implode(',',$nmygroups).")". " AND pm2.meta_key='vibeform_shared_type' AND pm2.meta_value = 'group'",ARRAY_A);
		
		if(!empty($ps)){
			foreach($ps as $u){
				$posts[]=$u['post_id'];
			}
		}
	}elseif($share_type=='all'){
		$ps = $wpdb->get_results("SELECT pm1.post_id as post_id FROM {$wpdb->postmeta} as pm1 WHERE  pm1.meta_key='vibeform_shared_type' AND pm1.meta_value = 'all'");
		if(!empty($ps)){
			foreach($ps as $u){
				$posts[]=$u->post_id;
			}
		}
	}
	return $posts;
}

// get user_ids/group_ids
function vibeforms_get_form_shared($form_id){
	$ids = get_post_meta($form_id,'vibeform_shared',false);
    return $ids;
}

function vibe_get_post_terms_fields($id){
	$fields = wp_get_post_terms( $id ,'vibeform-type'); 
	$arr = array();
	foreach ($fields as $key => $value) {
		$arr[] = array(
			'taxonomy' => 'vibeform-type',
			'value' => $value->term_id
		);
	}
	return $arr;
}

function vibe_form_get_meta_options($id){
	return array(
		'submission_times' => get_post_meta($id,'submission_times',true),
		'submission_last_date'=> get_post_meta($id,'submission_last_date',true)
	);
}


function vibe_forms_get_mime_types(){
	return apply_filters('vibe_forms_get_mime_types_array',array(
		'JPG' => array(
						'image/jpeg',
						'image/jpg',
						'image/jp_',
						'application/jpg',
						'application/x-jpg',
						'image/pjpeg',
						'image/pipeg',
						'image/vnd.swiftview-jpeg',
						'image/x-xbitmap'),
		'GIF' => array(
						'image/gif',
						'image/x-xbitmap',
						'image/gi_'),
		'PNG' => array(
						'image/png',
						'application/png',
						'application/x-png'),
		'DOCX'=> 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
		'RAR'=> 'application/x-rar',
		'ZIP' => array(
						'application/zip',
						'application/x-zip',
						'application/x-zip-compressed',
						'application/x-compress',
						'application/x-compressed',
						'multipart/x-zip'),
		'DOC' => array(
						'application/msword',
						'application/doc',
						'application/text',
						'application/vnd.msword',
						'application/vnd.ms-word',
						'application/winword',
						'application/word',
						'application/x-msw6',
						'application/x-msword'),
		'PDF' => array(
						'application/pdf',
						'application/x-pdf',
						'application/acrobat',
						'applications/vnd.pdf',
						'text/pdf',
						'text/x-pdf'),
		'PPT' => array(
						'application/vnd.ms-powerpoint',
						'application/mspowerpoint',
						'application/ms-powerpoint',
						'application/mspowerpnt',
						'application/vnd-mspowerpoint',
						'application/powerpoint',
						'application/x-powerpoint',
						'application/x-m'),
		'PPTX'=> 'application/vnd.openxmlformats-officedocument.presentationml.presentation',
		'PPS' => 'application/vnd.ms-powerpoint',
		'PPSX'=> 'application/vnd.openxmlformats-officedocument.presentationml.slideshow',
		'PSD' => array('application/octet-stream',
						'image/vnd.adobe.photoshop'
						),
		'ODT' => array(
						'application/vnd.oasis.opendocument.text',
						'application/x-vnd.oasis.opendocument.text'),
		'XLS' => array(
						'application/vnd.ms-excel',
						'application/msexcel',
						'application/x-msexcel',
						'application/x-ms-excel',
						'application/vnd.ms-excel',
						'application/x-excel',
						'application/x-dos_ms_excel',
						'application/xls'),
		'XLSX'=> array('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
					'application/vnd.ms-excel'),
		'MP3' => array(
						'audio/mpeg',
						'audio/x-mpeg',
						'audio/mp3',
						'audio/x-mp3',
						'audio/mpeg3',
						'audio/x-mpeg3',
						'audio/mpg',
						'audio/x-mpg',
						'audio/x-mpegaudio'),
		'M4A' => array(
						'audio/mp4a-latm',
						'audio/m4a',
						'audio/mp4'),
		'OGG' => array(
						'audio/ogg',
						'application/ogg'),
		'WAV' => array(
						'audio/wav',
						'audio/x-wav',
						'audio/wave',
						'audio/x-pn-wav'),
		'WMA' => 'audio/x-ms-wma',
		'MP4' => array(
						'video/mp4v-es',
						'audio/mp4',
						'video/mp4'),
		'M4V' => array(
						'video/mp4',
						'video/x-m4v'),
		'MOV' => array(
						'video/quicktime',
						'video/x-quicktime',
						'image/mov',
						'audio/aiff',
						'audio/x-midi',
						'audio/x-wav',
						'video/avi'),
		'WMV' => 'video/x-ms-wmv',
		'AVI' => array(
						'video/avi',
						'video/msvideo',
						'video/x-msvideo',
						'image/avi',
						'video/xmpg2',
						'application/x-troff-msvideo',
						'audio/aiff',
						'audio/avi'),
		'MPG' => array(
						'video/avi',
						'video/mpeg',
						'video/mpg',
						'video/x-mpg',
						'video/mpeg2',
						'application/x-pn-mpg',
						'video/x-mpeg',
						'video/x-mpeg2a',
						'audio/mpeg',
						'audio/x-mpeg',
						'image/mpg'),
		'OGV' => 'video/ogg',
		'3GP' => array(
						'audio/3gpp',
						'video/3gpp'),
		'3G2' => array(
						'video/3gpp2',
						'audio/3gpp2'),
		'FLV' => 'video/x-flv',
		'WEBM'=> 'video/webm',
		'APK' => 'application/vnd.android.package-archive',
	));
}