<?php
/*
Plugin Name: VibeForms
Plugin URI: https://vibeforms.com/vibeforms
Description: Forms for VibeBP React Framework
Version: 1.0
Requires at least: WP 5.0, BuddyPress 5.0 
Tested up to: 5.1
License: CodeCanyon
Author: VibeThemes
Author URI: http://www.VibeThemes.com
Text Domain: vibeforms
Domain Path: /languages/

*/
if ( !defined( 'ABSPATH' ) ) exit; 

if(!defined('VIBEFORMS_VERSION'))
    define('VIBEFORMS_VERSION',rand(0,999));


if(!defined('VIBEFORMS_API_NAMESPACE'))
    define('VIBEFORMS_API_NAMESPACE','vibeforms/v1');


if(!defined('VIBEFORMS_SETTINGS_OPTION'))
    define('VIBEFORMS_SETTINGS_OPTION','vibeforms');



if ( ! defined( 'VIBEFORMS_SLUG' ) )
	define( 'VIBEFORMS_SLUG', 'forms' );


if ( ! defined( 'VIBEFORMS_TYPE_SLUG' ) )
	define( 'VIBEFORMS_TYPE_SLUG', 'form-type' );




require_once(dirname(__FILE__).'/includes/class.actions.php');
require_once(dirname(__FILE__).'/includes/class.admin.php');
require_once(dirname(__FILE__).'/includes/class.api.php');
//require_once(dirname(__FILE__).'/includes/class.filters.php');
require_once(dirname(__FILE__).'/includes/functions.php');
//require_once(dirname(__FILE__).'/includes/class.init.php');



$init = VibeForms_Admin::init();
register_activation_hook(__FILE__,array($init,'register_forms'));
register_activation_hook(__FILE__,'flush_rewrite_rules', 20);

add_action('plugins_loaded','vibeforms_translations');
function vibeforms_translations(){
    $locale = apply_filters("plugin_locale", get_locale(), 'vibeforms');
    $lang_dir = dirname( __FILE__ ) . '/languages/';
    $mofile        = sprintf( '%1$s-%2$s.mo', 'vibeforms', $locale );
    $mofile_local  = $lang_dir . $mofile;
    $mofile_global = WP_LANG_DIR . '/plugins/' . $mofile;

    if ( file_exists( $mofile_global ) ) {
        load_textdomain( 'vibeforms', $mofile_global );
    } else {
        load_textdomain( 'vibeforms', $mofile_local );
    }  
}